package org.apithefire.server;

import java.io.IOException;
import java.net.ServerSocket;

public class ServerUtil {
	
	public static int findUnusedPort() {
		ServerSocket socket = null;
		try {
			socket = new ServerSocket(0);
			return socket.getLocalPort();
		} catch (IOException e) {
			throw new ServerException(e);
		} finally {
			if (socket != null) {
				try {
					socket.close();
				} catch (IOException e) {
					throw new ServerException(e);
				}
			}
		}
	}
	
}
